package com.qmth.themis.business.dto.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @Description: 预警消息
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/9/3
 */
public class WarnInfoParams implements Serializable {

    @ApiModelProperty(value = "预警id数组")
    List<String> warningIds;

    @ApiModelProperty(value = "审阅状态，0：未阅，1：已阅")
    @NotNull(message = "审阅状态不能为空")
    Integer approveStatus;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "考试记录id")
    Long examRecordId;

    public Long getExamRecordId() {
        return examRecordId;
    }

    public void setExamRecordId(Long examRecordId) {
        this.examRecordId = examRecordId;
    }

    public List<String> getWarningIds() {
        return warningIds;
    }

    public void setWarningIds(List<String> warningIds) {
        this.warningIds = warningIds;
    }

    public Integer getApproveStatus() {
        return approveStatus;
    }

    public void setApproveStatus(Integer approveStatus) {
        this.approveStatus = approveStatus;
    }
}
